
QGIS Application - Bug report #21120

SAGA Fill Sink

2019-01-29 05:14 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28938

Description

Trying to use SAGA Fill Sink.

It runs smoothly, but send out an error message. See attached file.

This is both for temp files and for saving as a file.

Secondly it is only possible to save as SDAT - not TIFF

History

#1 - 2019-01-29 05:36 PM - Giovanni Manghi

In QGIS 3 SAGA only outputs in its native data format, by design.

#2 - 2019-01-29 05:37 PM - Lene Fischer

Why - previously it was in TIF

#3 - 2019-01-29 05:42 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Status changed from Open to Feedback

Lene Fischer wrote:

Why - previously it was in TIF

I think this is better answered by Nyall/AlexB as they have re-written Processing.

About the issue reoprted in this ticket, I can't confirm on Win7 and QGIS 3.4.4 with SAGA LTR installed (Processing works with SAGA LTR):

g algorithm�

Algorithm 'Fill sinks' starting�

Input parameters:{ 'DEM' : 'C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif', 'MINSLOPE' : 0.01, 'RESULT' :

'C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/06c4c8e6182640a1a3920f3302dc11d3/RESULT.sdat' }

io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/a9947d23e54d445e827e31c4a3f9bc3f/mdtclipped3763.sgrd"
-FILES "C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif" 

ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/a9947d23e54d445e827e31c4a3f9bc3f/mdtclipped3763.sgrd"

-MINSLOPE 0.01 -RESULT

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/06c4c8e6182640a1a3920f3302dc11d3/RESULT.sdat"

C:\OSGEO4~1\bin>set SAGA=C:/OSGEO4~1/apps\saga-ltr

C:\OSGEO4~1\bin>set SAGA_MLB=C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGEO4~1\bin>PATH=C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\Python37;C:\OSGEO4~1\apps\Python37\Scripts;C:\OSGEO4~1\apps\qt5\

in;C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\Windows\system32;C:\Windows;C:\Windows\system32\WBem;C:\OSGEO4~1\apps\Python37\lib\site-packages\numpy\.libs;C:/OSGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

n37\lib\site-packages\numpy\.libs;C:/OSGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGEO4~1\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/a9947d23e54d445e827e31c4a3f9bc3f/mdtclipped3763.sgrd"

-FILES "C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif" 

____________________

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

____________________

SAGA Version: 2.3.2 (64 bit)

____________________

library path: C:\OSGEO4~1\apps\saga-ltr\modules\

library name: io_gdal

library : GDAL/OGR

tool : Import Raster

author : O.Conrad (c) 2007 (A.Ringeler)

processors : 2 [2]

____________________

Parameters

Grids: No objects

Files: "C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif" 

Select from Multiple Bands:

Alphanumeric Sorting: yes

Transformation: yes

Resampling: B-Spline Interpolation

loading: C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif

Driver: GTiff

Bands: 1
Rows: 559

Columns: 455

loading: mdt_clipped_3763

C:\OSGEO4~1\bin>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/a9947d23e54d445e827e31c4a3f9bc3f/mdtclipped3763.sgrd"

-MINSLOPE 0.01 -RESULT

"C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/06c4c8e6182640a1a3920f3302dc11d3/RESULT.sdat" 

____________________

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

____________________

SAGA Version: 2.3.2 (64 bit)

____________________

library path: C:\OSGEO4~1\apps\saga-ltr\modules\

library name: ta_preprocessor

library : Preprocessing

tool : Fill Sinks (Planchon/Darboux, 2001)

author : Copyrights (c) 2003 by Volker Wichmann

processors : 2 [2]

____________________

Load grid:

C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/a9947d23e54d445e827e31c4a3f9bc3f/mdtclipped3763.sgrd...

Parameters

Grid system: 80; 559x 455y; 10283.085928x 54418.184309y

DEM: mdtclipped3763

Filled DEM: Filled DEM

Minimum Slope [Degree]: 0.010000

C:\OSGEO4~1\bin>exit

Execution completed in 28.23 seconds

Results:{'RESULT':

'C:/Users/qgis/AppData/Local/Temp/processing_8982c772d80e4606b9f8a0599c21fc31/06c4c8e6182640a1a3920f3302dc11d3/RESULT.sdat'}

Loading resulting layers

Algorithm 'Fill sinks' finished

#4 - 2019-01-29 11:40 PM - Gabriel De Luca

The error reported was already fixed in saga-ltr-2.3.2-4 package.
https://trac.osgeo.org/osgeo4w/ticket/589

#5 - 2019-01-30 12:19 PM - Giovanni Manghi

Gabriel De Luca wrote:

The error reported was already fixed in saga-ltr-2.3.2-4 package.

https://trac.osgeo.org/osgeo4w/ticket/589

I'm using this version, so this explains that I don't get the error. Lene can you check what SAGA version have you installed?

#6 - 2019-02-24 01:33 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

fill_sink_error_log.txt 10.1 KB 2019-01-29 Lene Fischer
